# classes/phing/tasks/ext/phpdoc/PhpDocumentorExternalTask.php

## \PhpDocumentorExternalTask
jump to top

Task to run phpDocumentor with an external process

This classes uses the commandline phpdoc script to build documentation. Use this task instead of the PhpDocumentorTask when you've a clash with the Smarty libraries.

Extends from
  \PhpDocumentorTask
author
  Michiel Rook
author
  Markus Fischer
copyright
  2001,2002 THYRELL. All rights reserved
package
  phing.tasks.ext.phpdoc
version
  $Id: PhpDocumentorExternalTask.php 656 2009-12-14 14:10:54Z mrook $

### Properties

`bool $ignoresymlinks= 'false'`

ignore symlinks to other files or directories
Default value `false` Details

Type
  bool

`$programPath= 'phpdoc'`

The path to the executable for phpDocumentor

Default value `phpdoc` Details

Type

`$sourcepath= 'NULL'`
Default value `NULL` Details

Type

### Methods

`constructArguments( ) : array`
Constructs an argument string for phpDocumentor
Returns

Type | Description
--- | ---
array |

`getProgramPath( ) :`
Returns the path to the phpDocumentor executable
`init( ) :`
Override PhpDocumentorTask::init() because they're specific to the phpdoc API which we don't use.
`main( ) :`
Main entrypoint of the task
`setIgnoresymlinks( bool $bSet ) :`
Ignore symlinks to other files or directories.
Parameters

Name | Type | Description
--- | --- | ---
$bSet | bool |

`setProgramPath( $programPath ) :`
Sets the path to the phpDocumentor executable
Parameters

Name | Type | Description
--- | --- | ---
$programPath |  |

`setSourcepath( $sourcepath ) :`
Set the source path. A directory or a comma separate list of directories.
Parameters

Name | Type | Description
--- | --- | ---
$sourcepath |  |

`validate( ) :`
Validates that necessary minimum options have been set. Based on PhpDocumentorTask::validate().
Documentation was generated by DocBlox 0.13.1.